> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dashboard widget data

> Get calculated data for a dashboard widget:

**Parameters**:
- `id`: Widget ID to get data for

**Returns**:
- Calculated values based on the widget's environmental indicator
- Calculation metadata (time period, sites, aggregation method)
- Data quality information and any issues found
- Units and formatting details

Data structure varies by widget type (table, chart, gauge) but always includes the calculated environmental values with full context for analysis and display.



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.tr.json get /widgets/{id}/data
openapi: 3.0.3
info:
  title: Erguvan Genel API
  version: 1.0.0
  description: Erguvan platformuna entegrasyon için REST API referansının Türkçe sürümü.
servers:
  - url: https://app.azalt.co/api/v1
security: []
tags:
  - name: Activity
    x-displayName: Aktiviteler
  - name: ActivityDefinition
    x-displayName: Aktivite Tanımları
  - name: ApiKey
    x-displayName: API Anahtarları
  - name: Dashboard
    x-displayName: Panolar
  - name: DashboardWidget
    x-displayName: Pano Bileşenleri
  - name: Dataset
    x-displayName: Veri Setleri
  - name: DatasetItem
    x-displayName: Veri Seti Öğeleri
  - name: File
    x-displayName: Dosyalar
  - name: Form
    x-displayName: Formlar
  - name: FormElement
    x-displayName: Form Öğeleri
  - name: FormElementSubmission
    x-displayName: Form Öğesi Gönderimleri
  - name: FormSite
    x-displayName: Form-Tesis İlişkilendirmeleri
  - name: FormSubmission
    x-displayName: Form Gönderimleri
  - name: Indicator
    x-displayName: Göstergeler
  - name: Organization
    x-displayName: Organizasyonlar
  - name: Site
    x-displayName: Tesisler
  - name: Target
    x-displayName: Hedefler
  - name: Unit
    x-displayName: Birimler
  - name: User
    x-displayName: Kullanıcılar
paths:
  /widgets/{id}/data:
    get:
      tags:
        - Widget
      summary: Get dashboard widget data
      description: >-
        Get calculated data for a dashboard widget:


        **Parameters**:

        - `id`: Widget ID to get data for


        **Returns**:

        - Calculated values based on the widget's environmental indicator

        - Calculation metadata (time period, sites, aggregation method)

        - Data quality information and any issues found

        - Units and formatting details


        Data structure varies by widget type (table, chart, gauge) but always
        includes the calculated environmental values with full context for
        analysis and display.
      operationId: getWidgetData
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata: {}
                  indicatorUnit:
                    type: string
                  values:
                    type: array
                    items: {}
                  componentSeries:
                    type: object
                    properties:
                      kind:
                        type: string
                        enum:
                          - additive_kpi
                      components:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                            indicatorId:
                              type: string
                            label:
                              type: string
                            unit:
                              type: string
                              nullable: true
                          required:
                            - key
                            - indicatorId
                            - label
                            - unit
                      values:
                        type: array
                        items:
                          type: object
                          properties:
                            componentKey:
                              type: string
                            year:
                              type: number
                            periodUnit:
                              type: number
                            period:
                              type: string
                              enum:
                                - MONTHLY
                                - QUARTERLY
                                - YEARLY
                                - TIMESTAMP
                            value:
                              type: number
                              nullable: true
                          required:
                            - componentKey
                            - year
                            - periodUnit
                            - period
                            - value
                    required:
                      - kind
                      - components
                      - values
                  contributions:
                    type: object
                    properties:
                      site:
                        type: array
                        items:
                          type: object
                          properties:
                            scope:
                              type: string
                              enum:
                                - site
                                - group
                                - global
                            scopeId:
                              type: string
                            scopeName:
                              type: string
                            year:
                              type: number
                            period:
                              type: string
                              enum:
                                - MONTHLY
                                - QUARTERLY
                                - YEARLY
                                - TIMESTAMP
                            periodUnit:
                              type: number
                            value:
                              type: number
                            basis:
                              type: number
                            shareOfVisible:
                              type: number
                            shareOfOrganization:
                              type: number
                            shareOfGroup:
                              type: number
                            coverageOfVisible:
                              type: number
                            numerator:
                              type: number
                            denominator:
                              type: number
                          required:
                            - scope
                            - scopeId
                            - scopeName
                            - year
                            - period
                            - periodUnit
                            - value
                            - basis
                            - shareOfOrganization
                      group:
                        type: array
                        items:
                          type: object
                          properties:
                            scope:
                              type: string
                              enum:
                                - site
                                - group
                                - global
                            scopeId:
                              type: string
                            scopeName:
                              type: string
                            year:
                              type: number
                            period:
                              type: string
                              enum:
                                - MONTHLY
                                - QUARTERLY
                                - YEARLY
                                - TIMESTAMP
                            periodUnit:
                              type: number
                            value:
                              type: number
                            basis:
                              type: number
                            shareOfVisible:
                              type: number
                            shareOfOrganization:
                              type: number
                            shareOfGroup:
                              type: number
                            coverageOfVisible:
                              type: number
                            numerator:
                              type: number
                            denominator:
                              type: number
                          required:
                            - scope
                            - scopeId
                            - scopeName
                            - year
                            - period
                            - periodUnit
                            - value
                            - basis
                            - shareOfOrganization
                      global:
                        type: array
                        items:
                          type: object
                          properties:
                            scope:
                              type: string
                              enum:
                                - site
                                - group
                                - global
                            scopeId:
                              type: string
                            scopeName:
                              type: string
                            year:
                              type: number
                            period:
                              type: string
                              enum:
                                - MONTHLY
                                - QUARTERLY
                                - YEARLY
                                - TIMESTAMP
                            periodUnit:
                              type: number
                            value:
                              type: number
                            basis:
                              type: number
                            shareOfVisible:
                              type: number
                            shareOfOrganization:
                              type: number
                            shareOfGroup:
                              type: number
                            coverageOfVisible:
                              type: number
                            numerator:
                              type: number
                            denominator:
                              type: number
                          required:
                            - scope
                            - scopeId
                            - scopeName
                            - year
                            - period
                            - periodUnit
                            - value
                            - basis
                            - shareOfOrganization
                    required:
                      - site
                      - group
                      - global
                  usedIndicators:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        label:
                          type: string
                          nullable: true
                        unit:
                          type: string
                          nullable: true
                        preferredDatasetItemName:
                          type: string
                          nullable: true
                        preferredDatasetItemDatasetId:
                          type: string
                          nullable: true
                        expression:
                          type: string
                        expressionParts:
                          type: array
                          items: {}
                        linkedItems:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              datasetId:
                                type: string
                              name:
                                type: string
                              data: {}
                              year:
                                type: number
                              datasetName:
                                type: string
                            required:
                              - id
                              - datasetId
                              - name
                              - year
                              - datasetName
                      required:
                        - id
                        - name
                        - label
                        - unit
                        - preferredDatasetItemName
                        - preferredDatasetItemDatasetId
                        - expression
                        - expressionParts
                        - linkedItems
                  mappingIssues:
                    type: array
                    items:
                      type: object
                      properties:
                        indicatorChain:
                          type: array
                          items:
                            type: string
                        year:
                          type: number
                        status:
                          type: string
                        datasetId:
                          type: string
                        name:
                          type: string
                        field:
                          type: string
                        indicatorUnitSymbol:
                          type: string
                        inputUnitSymbol:
                          type: string
                        sourceYear:
                          type: number
                        count:
                          type: number
                      required:
                        - indicatorChain
                        - year
                        - status
                        - count
                  formElementValues:
                    type: array
                    items:
                      type: object
                      properties:
                        formElementId:
                          type: string
                        year:
                          type: number
                        periodUnit:
                          type: number
                        period:
                          type: string
                          enum:
                            - MONTHLY
                            - QUARTERLY
                            - YEARLY
                            - TIMESTAMP
                        value:
                          type: number
                          nullable: true
                      required:
                        - formElementId
                        - year
                        - value
                required:
                  - indicatorUnit
                  - values
                  - usedIndicators
                  - mappingIssues
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````